int led = 6;                        // An Pin 6 ist eine LED mit Widerstand 220 Ohm angeschlossen.
int richtung = 1;                   // richtung gibt an, ob die LED heller oder dunkler werden soll
int i;                              // zum Hoch- und Runterzaehlen in der for-Schleife

void setup() {
  pinMode(led, OUTPUT);
}

void loop() {
  for (i = 0; i <= 255; i++) {
    if (richtung == 1) {
      analogWrite(led, i);          // die LED wird langsam heller
    } else {
      analogWrite(led, 255 - i);    // die LED wird langsam heller
    }
    delay(20);                      // 20 Milisekunden Verzögerung
  }

  // an den äußeren Rändern der Schleife ändert sich die Richtung
  if ((i >= 255) || (i <= 0)) {     // das "||" bedeutet "oder"
    richtung = -richtung;
    i = 0;
  }
}
